package org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces;

import org.texttechnologylab.project.gruppe_05_1.xml.speeches.enums.MongoDBEntryType;

public interface Individual {
    /**
     * Returns the name
     *
     * @return the name
     */
    String getName();

    /**
     * Returns the type of the MongoDB entry.
     *
     * @return The type of the MongoDB entry.
     */
    MongoDBEntryType getType();

    /**
     * Returns the first name
     *
     * @return the first name
     */
    String getFirstName();

    /**
     * Returns the title
     *
     * @return the title
     */
    String getTitle();

    /**
     * Returns the date of birth
     *
     * @return the date of birth
     */
    String getDateOfBirth();

    /**
     * Returns the date of death
     *
     * @return the date of death
     */
    String getDateOfDeath();

    /**
     * Returns the place of birth
     *
     * @return the place of birth
     */
    String getPlaceOfBirth();

    /**
     * Returns the gender
     *
     * @return the gender
     */
    String getGender();

    /**
     * Returns the religion
     *
     * @return the religion
     */
    String getReligion();

    /**
     * Returns the HTML representation of the agenda item.
     *
     * @return The HTML representation of the agenda item.
     */
    String toHTML();
}
